Bug 632919 - Review Request: rubygem-anemone - Anemone web-spider framework
Review Request: rubygem-anemone - Anemone web-spider framework
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 632912
Blocks: whatweb
  Show dependency treegraph
 
Reported: 2010-09-11 18:21 EDT by Michal Ambroz
Modified: 2012-04-16 22:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-16 22:11:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Michal Ambroz 2010-09-11 18:21:25 EDT
SPEC URL: http://rebus.fedorapeople.org/SPECS/rubygem-anemone.spec
SRPM URL: http://rebus.fedorapeople.org/SRPMS/rubygem-anemone-0.5.0-1.fc13.src.rpm

Description:
Anemone is a Ruby library that makes it quick and painless to write programs
that spider a website. It provides a simple DSL for performing actions on every
page of a site, skipping certain URLs, and calculating the shortest path to
a given page on a site.
The multi-threaded design makes Anemone fast. The API makes it simple. And the
expressiveness of Ruby makes it powerful.


Hello,
Please could you review the package rubygem-anemone?
It is needed for package whatweb.

Output from rpmlint:
$ rpmlint rubygem-anemone-0.5.0-1.fc13.src.rpm rubygem-anemone-0.5.0-1.fc13.noarch.rpm rubygem-anemone-doc-0.5.0-1.fc13.noarch.rpm
rubygem-anemone.src: W: spelling-error %description -l en_US multi -> mulch, mufti
rubygem-anemone.src: W: invalid-url Source0: http://gems.rubyforge.org/gems/anemone-0.5.0.gem <urlopen error timed out>
rubygem-anemone.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
rubygem-anemone.noarch: W: no-manual-page-for-binary anemone

#The rest are false-positive warings about unexpanded macros = urlencoded chars in filenames
rubygem-anemone-doc.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/anemone-0.5.0/ri/Anemone/PageStore/shortest_paths%21-i.yaml %21
3 packages and 0 specfiles checked; 0 errors, 55 warnings.

Koji F13: http://koji.fedoraproject.org/koji/taskinfo?taskID=2462142
Comment 1 Mamoru TASAKA 2010-09-12 14:23:17 EDT
For some general issues, please also check my commentes
on bug 632912.
! Note
  Usually when gem contains spec/ directory, $ rake spec should be
  executed in %check.
Comment 2 Michal Ambroz 2010-09-25 19:43:37 EDT
Hello Mamoru,
here updated packages:
SPEC URL: http://rebus.fedorapeople.org/SPECS/rubygem-anemone.spec
SRPM URL:
http://rebus.fedorapeople.org/SRPMS/rubygem-anemone-0.5.0-2.fc13.src.rpm

*BuildRoot
I would like to keep BuildRoot for compatibility with EPEL5.

*%check
Checks require couple of another rubygems packackages, which are not yet in Fedoram so I had to comment out this functionality for now.

Best regards
Michal Ambroz
Comment 3 Mamoru TASAKA 2010-10-03 16:53:51 EDT
Almost okay.

* Explicit version specific dependency
  - We usually don't write explicit version specific dependency
    (like ">= 1.3.0" part on "Requires: rubygem(nokogiri)"
    when all packages on currently supported Fedora (or EPEL) branches
    statisfied such dependency because it is just redundant:
    https://fedoraproject.org/wiki/Packaging/Guidelines#Explicit_Requires

* %doc in -doc subpackage
  - %doc attribute in -doc subpackage is redundant because the name of
    the rpm already indicates that the files in the rpm is for documentation.
Comment 4 Michal Ambroz 2011-04-11 20:07:37 EDT
Updated package:

SPEC: http://rebus.fedorapeople.org/SPECS/rubygem-anemone.spec
SRPM: http://rebus.fedorapeople.org/SRPMS/rubygem-anemone-0.5.0-3.fc14.src.rpm

- fixed doc package and explicit dependency as suggested
Best regards
Michal Ambroz
Comment 5 Michal Ambroz 2012-04-16 22:11:49 EDT
Resigning in getting the anemone to Fedora.

Note You need to log in before you can comment on or make changes to this bug.